Requisitos del sistema

Aspose.Cells for C++ es una biblioteca nativa C++ que permite a los desarrolladores C++ crear, manipular y convertir hojas de cálculo mediante programación sin necesidad de automatización de Office o Microsoft aplicaciones de Excel.

Sistemas operativos compatibles

Aspose.Cells for C++ admite las siguientes plataformas y sistemas operativos de 64 bits:

Sistema operativo Versiones
Microsoft Windows
  • Windows 2008 Servidor (x64)
  • Windows 2012 Servidor (x64)
  • Windows Servidor 2012 R2 (x64)
  • Windows 2016 Servidor (x64)
  • Windows 2019 Servidor (x64)
  • Windows Vista (x64)
  • Windows 7 (x64)
  • Windows 8, 8,1 (x64)
  • Windows 10 (x64)
  • Windows 11 (x64)
linux
  • Ubuntu 20.04 o posterior
  • sombrero
  • OpenSUSE
  • CentOS
  • Linux para ARM (aarch64)
Mac OS
  • macOS 11 o posterior (arm64, x86_64)

Entorno de desarrollo

Puede utilizar Aspose.Cells for C++ al desarrollar aplicaciones para Windows, Linux o macOS.

Windows

Aspose.Cells for C++ se puede utilizar para desarrollar aplicaciones en cualquier entorno de desarrollo que admitaMicrosoft Conjunto de herramientas de la plataforma Visual Studio v142, pero los entornos enumerados en la siguiente tabla se admiten explícitamente:

Entornos de desarrollo
  • Microsoft Estudio visual 2019
  • Microsoft Estudio visual 2022

linux

Aspose.Cells for C++ se puede utilizar para desarrollar aplicaciones en el entorno de desarrollo que admitan C++11 o superior, pero el siguiente compilador y herramienta se admiten explícitamente:

Compiladores
  • GCC 9.4.0 o posterior

Dependencia adicional de Linux

Aspose.Cells for C++ en Linux depende deconfiguración de fuente binarios tanto biblioteca dinámica como herramienta. Instálelo antes de usarlo:

  1. Instalación de fontconfig en Ubuntu o Debian
    sudo apt install libfontconfig fontconfig
  2. Instalación de fontconfig en Fedora o CentOs
    sudo yum install fontconfig

Mac OS

Aspose.Cells for C++ se puede utilizar para desarrollar aplicaciones en los siguientes entornos de desarrollo:

  • Xcode 12.5.1 o posterior
  • Clang y libc++ (que se envían de forma predeterminada con Xcode)